#!/sbin/sh

# Set the ROM name 
ROM_NAME=MIUI_V5
export ROM_NAME

mmcblk0p2=`ls /dev/block/mmcblk0p2`

# Mount the ext4 partition
if [ $mmcblk0p2 == "/dev/block/mmcblk0p2" ]
then

	mkdir -p /ext4p
	mkdir -p /sdcard/NativeSD/$ROM_NAME
	mkdir -p /boot /boot_dir
	
	mount -t ext4 /dev/block/mmcblk0p2 /ext4p

	mount --bind /ext4p/$ROM_NAME/system /system
	mount --bind /ext4p/$ROM_NAME/data /data
	
	mount --bind /sdcard/NativeSD/$ROM_NAME /boot
	mount --bind /sdcard/NativeSD	/boot_dir


#all the dir has ready write some info for updater-script
	echo "NativeSD=true" >> /tmp/nfo.prop
else

#no ext4 partition found	
	echo "NativeSD=false" >> /tmp/nfo.prop
fi
